VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "SuperClipboard"
   ClientHeight    =   4335
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6975
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmMain.frx":0000
   KeyPreview      =   -1  'True
   MaxButton       =   0   'False
   ScaleHeight     =   4335
   ScaleWidth      =   6975
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton cmdAbout 
      Caption         =   "Info"
      Height          =   345
      Left            =   5760
      TabIndex        =   7
      Top             =   3720
      Width           =   855
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Hilfe"
      Height          =   345
      Left            =   4800
      TabIndex        =   6
      Top             =   3720
      Width           =   855
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Speicher lschen"
      Enabled         =   0   'False
      Height          =   345
      Left            =   2040
      TabIndex        =   5
      Top             =   3720
      Width           =   1575
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "Neuer Speicher"
      Height          =   345
      Left            =   360
      TabIndex        =   4
      Top             =   3720
      Width           =   1575
   End
   Begin VB.TextBox txtBoard 
      Height          =   2175
      Left            =   2520
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertikal
      TabIndex        =   3
      Top             =   600
      Width           =   4095
   End
   Begin VB.ListBox lstBoards 
      Height          =   2985
      Left            =   360
      TabIndex        =   1
      Top             =   600
      Width           =   1935
   End
   Begin VB.Label lblLabels 
      Caption         =   "Inhalt des Speichers:"
      Height          =   255
      Index           =   1
      Left            =   2520
      TabIndex        =   2
      Top             =   330
      UseMnemonic     =   0   'False
      Width           =   4095
   End
   Begin VB.Label lblLabels 
      Caption         =   "Zwischenspeicher:"
      Height          =   255
      Index           =   0
      Left            =   360
      TabIndex        =   0
      Top             =   330
      UseMnemonic     =   0   'False
      Width           =   1935
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

Private Sub cmdDelete_Click()
    ' Markierten Zwischenspeicher lschen.
    Call DeleteBoard
End Sub

Private Sub cmdHelp_Click()
    ShellExecute Me.hwnd, "open", strPath & "Hilfe\Hilfe.htm", "", strPath, vbNormalFocus
End Sub

Private Sub cmdNew_Click()
    ' Neuen Zwischenspeicher generieren.
    Call NewBoard
End Sub

Private Sub Form_Initialize()
    ' Verwendung von Visual Styles initialisieren.
    Call InitCommonControls
End Sub

Private Sub NewBoard()
    lstBoards.AddItem "", lstBoards.ListIndex + 1
    lstBoards.Selected(lstBoards.ListIndex + 1) = True
    txtBoard.Text = ""
    cmdDelete.Enabled = True
End Sub

Private Sub DeleteBoard()
    Dim intLI As Integer

    intLI = lstBoards.ListIndex
    lstBoards.RemoveItem lstBoards.ListIndex

    ' War das der letzte Eintrag, Lschen-Button deaktivieren,
    ' andernfalls den nchsten Eintrag markieren.
    If lstBoards.ListCount = 0 Then
        cmdDelete.Enabled = False
    Else
        If intLI < lstBoards.ListCount Then
            lstBoards.Selected(intLI) = True
        Else
            lstBoards.Selected(intLI - 1) = True
        End If
    End If

    txtBoard.Text = lstBoards.List(intLI + 1)
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = vbKeyF1 Then

        cmdHelp_Click

    ElseIf KeyCode = vbKeyF12 Then

        If MsgBox("Alle Zwischenspeicher lschen?" & vbCrLf & "Die Inhalte gehen unwiederruflich verloren.", vbQuestion + vbYesNo, "Alle Zwischenspeicher lschen") = vbYes Then
            ' Zwischenspeicher lschen.
            lstBoards.Clear
            txtBoard.Text = ""
            lstBoards.SetFocus
            cmdDelete.Enabled = False
        End If

    End If
End Sub

Private Sub lstBoards_Click()
    txtBoard.Text = lstBoards.List(lstBoards.ListIndex)
    txtBoard.SetFocus
End Sub

Private Sub txtBoard_Change()
    ' Inhalt des Textfeldes in den selektierten Eintrag der
    ' Liste schreiben.
    lstBoards.List(lstBoards.ListIndex) = txtBoard.Text

    On Error Resume Next

    Clipboard.Clear
    Clipboard.SetText txtBoard.Text
End Sub
